org.apache.ignite.internal.processors.platform.client

## Class ClientProtocolVersionFeature

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientProtocolVersionFeature

    public class ClientProtocolVersionFeature
    extends Object

Thin client feature that was introduced by introducing new protocol version. Legacy approach. No new features of this kind should be added without strong justification. Use `ClientBitmaskFeature` for all newly introduced features.

### Field Summary

Fields
`static ClientProtocolVersionFeature` `AUTHORIZATION` Authorization feature.
`static ClientProtocolVersionFeature` `BITMAP_FEATURES` Bitmap features introduced.
`static ClientProtocolVersionFeature` `EXPIRY_POLICY` Expiry policy feature.
`static ClientProtocolVersionFeature` `PARTITION_AWARENESS` Partition awareness feature.
`static ClientProtocolVersionFeature` `QUERY_ENTITY_PRECISION_AND_SCALE` Query entity precision and scale feature.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientListenerProtocolVersion` `verIntroduced()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AUTHORIZATION

    public static final ClientProtocolVersionFeature AUTHORIZATION

Authorization feature.

#### QUERY_ENTITY_PRECISION_AND_SCALE

    public static final ClientProtocolVersionFeature QUERY_ENTITY_PRECISION_AND_SCALE

Query entity precision and scale feature.

#### PARTITION_AWARENESS

    public static final ClientProtocolVersionFeature PARTITION_AWARENESS

Partition awareness feature.

#### EXPIRY_POLICY

    public static final ClientProtocolVersionFeature EXPIRY_POLICY

Expiry policy feature.

#### BITMAP_FEATURES

    public static final ClientProtocolVersionFeature BITMAP_FEATURES

Bitmap features introduced.

### Method Detail

#### verIntroduced

    public ClientListenerProtocolVersion verIntroduced()

Returns:
  Version in which the feature was introduced.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023